'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _redboxReact2 = require('redbox-react');

var _redboxReact3 = _interopRequireDefault(_redboxReact2);

var _reactTransformCatchErrors3 = require('react-transform-catch-errors');

var _reactTransformCatchErrors4 = _interopRequireDefault(_reactTransformCatchErrors3);

var _react2 = require('react');

var _react3 = _interopRequireDefault(_react2);

var _reactTransformHmr3 = require('react-transform-hmr');

var _reactTransformHmr4 = _interopRequireDefault(_reactTransformHmr3);

var _reactRedux = require('react-redux');

var _reduxIntegrated = require('../redux-integrated');

var _muToolbar = require('../presentation/muToolbar');

var _muToolbar2 = _interopRequireDefault(_muToolbar);

var _muDrawer = require('../presentation/muDrawer');

var _muDrawer2 = _interopRequireDefault(_muDrawer);

var _SnackbarContainer = require('./SnackbarContainer');

var _SnackbarContainer2 = _interopRequireDefault(_SnackbarContainer);

var _Paper = require('material-ui/Paper');

var _Paper2 = _interopRequireDefault(_Paper);

var _home = require('material-ui/svg-icons/action/home');

var _home2 = _interopRequireDefault(_home);

var _schedule = require('material-ui/svg-icons/action/schedule');

var _schedule2 = _interopRequireDefault(_schedule);

var _addBox = require('material-ui/svg-icons/content/add-box');

var _addBox2 = _interopRequireDefault(_addBox);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _components = {
  _component: {}
};

var _reactTransformHmr2 = (0, _reactTransformHmr4.default)({
  filename: 'src/navigation/containers/NavigationContainer.js',
  components: _components,
  locals: [module],
  imports: [_react3.default]
});

var _reactTransformCatchErrors2 = (0, _reactTransformCatchErrors4.default)({
  filename: 'src/navigation/containers/NavigationContainer.js',
  components: _components,
  locals: [],
  imports: [_react3.default, _redboxReact3.default]
});

function _wrapComponent(id) {
  return function (Component) {
    return _reactTransformHmr2(_reactTransformCatchErrors2(Component, id), id);
  };
}

var Navigation = _wrapComponent('_component')(_react3.default.createClass({
  displayName: 'Navigation',

  contextTypes: {
    router: _react3.default.PropTypes.object.isRequired
  },
  propTypes: {
    drawerOpen: _react3.default.PropTypes.bool.isRequired,
    pageTitle: _react3.default.PropTypes.string.isRequired,
    onToggleDrawer: _react3.default.PropTypes.func.isRequired,
    onTransition: _react3.default.PropTypes.func.isRequired,
    onLogout: _react3.default.PropTypes.func.isRequired,
    user: _react3.default.PropTypes.object.isRequired,
    children: _react3.default.PropTypes.element.isRequired
  },
  getInitialState: function getInitialState() {
    return {
      user: {
        firstName: "Unknown",
        lastName: "User"
      },
      popoverOpen: false,
      anchorEl: null
    };
  },
  componentDidMount: function componentDidMount() {},
  handleTouchTapPopover: function handleTouchTapPopover(event) {
    // This prevents ghost click.
    event.preventDefault();
    this.setState({
      popoverOpen: true,
      anchorEl: event.currentTarget
    });
  },
  handleClosePopover: function handleClosePopover() {
    this.setState({
      popoverOpen: false
    });
  },
  render: function render() {
    // the left padding size is dependent on the drawer being opened or closed
    var leftPadding = this.props.drawerOpen && window.innerWidth >= 1440 ? '256px' : '57px';
    document.title = this.props.pageTitle;
    return _react3.default.createElement(
      'div',
      null,
      _react3.default.createElement('muToolbar', {
        onLogout: this.props.onLogout,
        onToggleDrawer: this.props.onToggleDrawer,
        user: this.props.user,
        popoverOpen: this.state.popoverOpen,
        anchorEl: this.state.anchorEl,
        onTouchTapPopover: this.handleTouchTapPopover,
        onClosePopover: this.handleClosePopover }),
      _react3.default.createElement('muDrawer', {
        isOpen: this.props.drawerOpen,
        navTransitions: navTransitions,
        onTransition: this.props.onTransition }),
      _react3.default.createElement(
        _Paper2.default,
        { zDepth: 0, style: { paddingLeft: leftPadding, paddingTop: '56px' } },
        this.props.children
      ),
      _react3.default.createElement(_SnackbarContainer2.default, null)
    );
  }
}));

function mapStateToProps(state, ownProps) {
  return {
    drawerOpen: (0, _reduxIntegrated.getIsDrawerOpen)(state),
    pageTitle: (0, _reduxIntegrated.getCurrentPage)(state),
    user: ownProps.user,
    navTransitions: ownProps.navTransitions,
    versionNumber: ownProps.versionNumber

  };
}
function mapDispatchToProps(dispatch, ownProps) {
  return {
    onToggleDrawer: function onToggleDrawer() {
      dispatch((0, _reduxIntegrated.toggleDrawer)());
    },
    onTransition: function onTransition(name) {
      (0, _reduxIntegrated.changePageName)(dispatch, name);
    },
    onLogout: function onLogout() {
      ownProps.onLogout();
    }
  };
}
exports.default = (0, _reactRedux.connect)(mapStateToProps, mapDispatchToProps)(Navigation);