'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _redboxReact2 = require('redbox-react');

var _redboxReact3 = _interopRequireDefault(_redboxReact2);

var _reactTransformCatchErrors3 = require('react-transform-catch-errors');

var _reactTransformCatchErrors4 = _interopRequireDefault(_reactTransformCatchErrors3);

var _react2 = require('react');

var _react3 = _interopRequireDefault(_react2);

var _reactTransformHmr3 = require('react-transform-hmr');

var _reactTransformHmr4 = _interopRequireDefault(_reactTransformHmr3);

var _reactRouter = require('react-router');

var _RaisedButton = require('material-ui/RaisedButton');

var _RaisedButton2 = _interopRequireDefault(_RaisedButton);

var _Paper = require('material-ui/Paper');

var _Paper2 = _interopRequireDefault(_Paper);

var _Popover = require('material-ui/Popover');

var _Menu = require('material-ui/Menu');

var _expandMore = require('material-ui/svg-icons/navigation/expand-more');

var _expandMore2 = _interopRequireDefault(_expandMore);

var _menu = require('material-ui/svg-icons/navigation/menu');

var _menu2 = _interopRequireDefault(_menu);

var _IconButton = require('material-ui/IconButton');

var _IconButton2 = _interopRequireDefault(_IconButton);

var _exitToApp = require('material-ui/svg-icons/action/exit-to-app');

var _exitToApp2 = _interopRequireDefault(_exitToApp);

var _accountCircle = require('material-ui/svg-icons/action/account-circle');

var _accountCircle2 = _interopRequireDefault(_accountCircle);

var _Toolbar = require('material-ui/Toolbar');

var _colors = require('material-ui/styles/colors');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _components = {
  _component: {}
};

var _reactTransformHmr2 = (0, _reactTransformHmr4.default)({
  filename: 'src/navigation/presentation/muToolbar.js',
  components: _components,
  locals: [module],
  imports: [_react3.default]
});

var _reactTransformCatchErrors2 = (0, _reactTransformCatchErrors4.default)({
  filename: 'src/navigation/presentation/muToolbar.js',
  components: _components,
  locals: [],
  imports: [_react3.default, _redboxReact3.default]
});

function _wrapComponent(id) {
  return function (Component) {
    return _reactTransformHmr2(_reactTransformCatchErrors2(Component, id), id);
  };
}

var SBSToolbar = _wrapComponent('_component')(_react3.default.createClass({
  displayName: 'SBSToolbar',

  propTypes: {
    onToggleDrawer: _react3.default.PropTypes.func.isRequired,
    onLogout: _react3.default.PropTypes.func.isRequired,
    user: _react3.default.PropTypes.object.isRequired,
    popoverOpen: _react3.default.PropTypes.bool.isRequired,
    anchorEl: _react3.default.PropTypes.any,
    onTouchTapPopover: _react3.default.PropTypes.func.isRequired,
    onClosePopover: _react3.default.PropTypes.func.isRequired
  },
  contextTypes: {
    muiTheme: _react3.default.PropTypes.object.isRequired
  },
  render: function render() {
    return _react3.default.createElement(
      _Paper2.default,
      { style: { position: 'fixed', width: "100%", zIndex: 1301, height: '56px' } },
      _react3.default.createElement(
        _Toolbar.Toolbar,
        { style: { backgroundColor: this.context.muiTheme.palette.primary1Color } },
        _react3.default.createElement(
          _Toolbar.ToolbarGroup,
          { firstChild: true },
          _react3.default.createElement(
            _IconButton2.default,
            {
              onTouchTap: this.props.onToggleDrawer
            },
            _react3.default.createElement(_menu2.default, { color: this.context.muiTheme.palette.alternateTextColor })
          ),
          _react3.default.createElement(_Toolbar.ToolbarTitle, { text: 'SBS', style: { color: this.context.muiTheme.palette.alternateTextColor } })
        ),
        _react3.default.createElement(
          _Toolbar.ToolbarGroup,
          { lastChild: true },
          _react3.default.createElement(
            'span',
            { style: { color: this.context.muiTheme.palette.alternateTextColor } },
            "v4.0.1.3"
          ),
          _react3.default.createElement(_Toolbar.ToolbarSeparator, { style: { backgroundColor: this.context.muiTheme.palette.alternateTextColor } }),
          _react3.default.createElement(_RaisedButton2.default, {
            label: this.props.user.firstName + " " + this.props.user.lastName,
            labelPosition: 'before',
            secondary: true,
            icon: _react3.default.createElement(_expandMore2.default, null),
            onTouchTap: this.props.onTouchTapPopover
          }),
          _react3.default.createElement(
            _Popover.Popover,
            {
              open: this.props.popoverOpen,
              anchorEl: this.props.anchorEl,
              anchorOrigin: { horizontal: 'right', vertical: 'bottom' },
              targetOrigin: { horizontal: 'right', vertical: 'top' },
              onRequestClose: this.props.onClosePopover,
              animation: _Popover.PopoverAnimationVertical
            },
            _react3.default.createElement(
              _Menu.Menu,
              null,
              _react3.default.createElement(_Menu.MenuItem, {
                primaryText: 'Profile',
                disabled: true,
                leftIcon: _react3.default.createElement(_accountCircle2.default, { style: { verticalAlign: 'middle', fill: _colors.black, marginRight: 5 } }) }),
              _react3.default.createElement(_Menu.MenuItem, {
                primaryText: 'Admin',
                containerElement: _react3.default.createElement(_reactRouter.Link, { to: '/AdminView' }),
                disabled: this.props.user.isAdmin ? false : true,
                leftIcon: _react3.default.createElement(_accountCircle2.default, { style: { verticalAlign: 'middle', fill: _colors.black, marginRight: 5 } }) }),
              _react3.default.createElement(_Menu.MenuItem, {
                primaryText: 'Logout',
                onTouchTap: this.props.onLogout,
                leftIcon: _react3.default.createElement(_exitToApp2.default, { style: { verticalAlign: 'middle', fill: _colors.black, marginRight: 5 } }) })
            )
          )
        )
      )
    );
  }
}));
exports.default = SBSToolbar;